%global enable_tests 1
%global srcname console-browserify

Name:           nodejs-%{srcname}
Version:        1.1.0
Release:        5%{?dist}
Summary:        Emulate console for all the browsers
License:        MIT
Group:          System Environment/Libraries
URL:            https://github.com/Raynos/%{srcname}
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(date-now)
BuildRequires:  npm(tape)
%endif


%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep date-now '^1.0.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node ./test/index.js
%endif


%files
%doc README.md LICENCE
%{nodejs_sitelib}/%{srcname}


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Nov 23 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.1.0-1
- Initial package
